CatálogoVariantes
Actualizar variante de producto
Actualiza únicamente los campos de la variante incluidos en la solicitud.
PATCH
/v1/catalog/variants/{variantId}Actualiza únicamente los campos de la variante incluidos en la solicitud.
Autorización
bearerAuth AutorizaciónBearer <token>
Token de acceso OAuth 2.0 emitido por Ecomiq Auth.
Ubicación: header
Parámetros de ruta
variantId*string
Identificador de la variante.
Parámetros de cabecera
x-Store-Id?string
Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.
Cuerpo de la solicitud
application/json
Definiciones TypeScript
Usa esta definición en TypeScript.
Cuerpo de la respuesta
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/v1/catalog/variants/7204558912004325301" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "sku": "SKU-001", "packageId": "7204558912004325301", "price": 1, "compareAtPrice": 1, "costPrice": 1, "lowStockThreshold": 1, "allowBackorders": false }'{ "id": "7204558912004325301", "storeId": "7204558912004325301", "productId": "7204558912004325301", "sellerId": "7204558912004325301", "packageId": "7204558912004325301", "shippingProfileId": "7204558912004325301", "productName": "Example resource", "productDescription": "Example description.", "productSlug": "example-resource", "productType": "product", "productIsDigital": false, "productTaxIncluded": false, "productStatus": "draft", "productImage": "example", "thumbnail": "example", "brandId": "7204558912004325301", "brandName": "Example resource", "categoryId": "7204558912004325301", "categoryName": "Example resource", "tags": [ "example" ], "name": "Example resource", "sku": "SKU-001", "barcode": "7751234567890", "status": "outOfStock", "isDigital": false, "allowBackorders": false, "onHand": 1, "committed": 1, "available": 1, "order": 1, "isDefault": false, "upc": "example", "mpn": "example", "countryOfOrigin": "example", "hsCode": "example_code", "price": 1, "compareAtPrice": 1, "costPrice": 1, "currency": "PEN", "lowStockThreshold": 1, "weight": 1, "width": 1, "height": 1, "length": 1, "unitOfMeasure": "kilogram", "requiresShipping": false, "trackInventory": false, "images": [ { "imageId": "7204558912004325301", "order": 1, "isPrimary": false } ], "options": [ { "name": "Example resource", "key": "example", "value": "example" } ], "inventories": [ { "id": "7204558912004325301", "locationId": "7204558912004325301", "onHand": 1, "committed": 1, "available": 1, "incoming": 1, "unavailable": 1, "version": 1, "createdOn": "2026-08-01T15:30:00Z" } ], "optionValues": { "key": "example" }, "modifierGroups": [ { "id": "7204558912004325301", "name": "Example resource", "isRequired": false, "selectionType": "single", "minSelections": 1, "order": 1, "status": "active", "options": [ { "id": "7204558912004325301", "name": "Example resource", "priceDelta": 1, "isDefault": false, "order": 1, "status": "active", "imageUrl": "https://example.com/resource" } ] } ], "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z"}